Package wx :: Package py :: Module interpreter :: Class Interpreter

[frames | no frames]

## Class Interpreter

    InteractiveInterpreter --+
                             |
                            Interpreter

Known Subclasses:
  `InterpreterAlaCarte`

Interpreter based on code.InteractiveInterpreter.

Method Summary
| ``__init__`(self, locals, rawin, stdin, stdout, stderr, showInterpIntro)` Create an interactive interpreter object.
| ``getAutoCompleteKeys`(self)` Return list of auto-completion keycodes.
| ``getAutoCompleteList`(self, command, *args, **kwds)` Return list of auto-completion options for a command.
| ``getCallTip`(self, command, *args, **kwds)` Return call tip text for a command.
| ``push`(self, command)` Send command to the interpreter to be executed.
| ``runsource`(self, source)` Compile and run source code in the interpreter.

Class Variable Summary
`str` | `revision` = `'1.8'`

Method Details

### __init__(self, locals=None, rawin=None, stdin=<epydoc.imports._DevNull instance at 0xb7c35f8c>, stdout=<epydoc.imports._DevNull instance at 0xb7c35f8c>, stderr=<epydoc.imports._DevNull instance at 0xb7c35f8c>, showInterpIntro=True)
(Constructor)

Create an interactive interpreter object.

  Overrides:
    `code.InteractiveInterpreter.__init__`

### getAutoCompleteKeys(self)

Return list of auto-completion keycodes.

### getAutoCompleteList(self, command='', *args, **kwds)

Return list of auto-completion options for a command.

The list of options will be based on the locals namespace.

### getCallTip(self, command='', *args, **kwds)

Return call tip text for a command.

Call tip information will be based on the locals namespace.

### push(self, command)

Send command to the interpreter to be executed.

Because this may be called recursively, we append a new list onto the commandBuffer list and then append commands into that. If the passed in command is part of a multi-line command we keep appending the pieces to the last list in commandBuffer until we have a complete command. If not, we delete that last list.

### runsource(self, source)

Compile and run source code in the interpreter.

  Overrides:
    `code.InteractiveInterpreter.runsource`

Class Variable Details

### revision

  Type:
    `str`
  Value:

        '1.8'

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:17 2007 | http://epydoc.sf.net